Type to search.

Get follower stats

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 6.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get cross-cluster replication follower stats. The API returns shard-level stats about the "following tasks" associated with each shard for the specified indices.

About cross-cluster replication

Required privileges

Cluster privileges monitor

Path parameters

index union string | string[] required

A comma-delimited list of index patterns.

Query parameters

timeout string · default: 30s

The period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Response

application/json
indices object[] required

An array of follower index statistics.

index string required

The name of the follower index.

shards object[] required

An array of shard-level following task statistics.

bytes_read number required

The total of transferred bytes read from the leader. This is only an estimate and does not account for compression if enabled.

failed_read_requests number required

The number of failed reads.

failed_write_requests number required

The number of failed bulk write requests on the follower.

follower_aliases_version number required

The index aliases version the follower is synced up to.

follower_global_checkpoint number required

The current global checkpoint on the follower. The difference between the leader_global_checkpoint and the follower_global_checkpoint is an indication of how much the follower is lagging the leader.

follower_index string required

The name of the follower index.

follower_mapping_version number required

The mapping version the follower is synced up to.

follower_max_seq_no number required

The current maximum sequence number on the follower.

follower_settings_version number required

The index settings version the follower is synced up to.

last_requested_seq_no number required

The starting sequence number of the last batch of operations requested from the leader.

leader_global_checkpoint number required

The current global checkpoint on the leader known to the follower task.

leader_index string required

The name of the index in the leader cluster being followed.

leader_max_seq_no number required

The current maximum sequence number on the leader known to the follower task.

operations_read number required

The total number of operations read from the leader.

operations_written number required

The number of operations written on the follower.

outstanding_read_requests number required

The number of active read requests from the follower.

outstanding_write_requests number required

The number of active bulk write requests on the follower.

read_exceptions object[] required

An array of objects representing failed reads.

exception object required

The exception that caused the read to fail.

type string required

The type of error

reason union string nullable

A human-readable explanation of the error, in English.

One of: string
stack_trace string

The server stack trace. Present only if the error_trace=true parameter was sent with the request.

caused_by object
Same fields as exception in read_exceptions
root_cause object[]
Same fields as exception in read_exceptions
suppressed object[]
Same fields as exception in read_exceptions
from_seq_no number required

The starting sequence number of the batch requested from the leader.

retries number required

The number of times the batch has been retried.

remote_cluster string required

The remote cluster containing the leader index.

shard_id number required

The numerical shard ID, with values from 0 to one less than the number of replicas.

successful_read_requests number required

The number of successful fetches.

successful_write_requests number required

The number of bulk write requests run on the follower.

time_since_last_read string
time_since_last_read_millis number required

The number of milliseconds since a read request was sent to the leader. When the follower is caught up to the leader, this number will increase up to the configured read_poll_timeout at which point another read request will be sent to the leader.

total_read_remote_exec_time string
total_read_remote_exec_time_millis number required

The total time reads spent running on the remote cluster.

total_read_time string
total_read_time_millis number required

The total time reads were outstanding, measured from the time a read was sent to the leader to the time a reply was returned to the follower.

total_write_time string
total_write_time_millis number required

The total time spent writing on the follower.

write_buffer_operation_count number required

The number of write operations queued on the follower.

write_buffer_size_in_bytes number | string required

The total number of bytes of operations currently queued for writing.